{% extends 'base.html.twig' %}

{% block title %}Connexion
{% endblock %}

{% block body %}

	<section class="container my-5">
		<div class="row">
			<div class="col">

				<form method="post">
					{% if error %}
						<div class="alert alert-danger">{{ error.messageKey|trans(error.messageData, 'security') }}</div>
					{% endif %}

					{% if app.user %}
						<div class="mb-3">
							Vous etes connecté(e) comme
							{{ app.user.userIdentifier }},
							<a href="{{ path('app_logout') }}">Me déconnecter</a>
						</div>
					{% endif %}

					<h1 class="h3 mb-3 font-weight-normal">Me connecter</h1>
					<label for="inputUsername">Identifiant</label>
					<input type="text" value="{{ last_username }}" name="username" id="inputUsername" class="form-control" autocomplete="username" required autofocus>
					<label for="inputPassword">Mot de passe</label>
					<input type="password" name="password" id="inputPassword" class="form-control" autocomplete="current-password" required>

					<input
					type="hidden" name="_csrf_token" value="{{ csrf_token('authenticate') }}">

					<button class="btn btn-lg btn-primary mt-3" type="submit">
						Me connecter
					</button>
					<a href="{{path('app_register')}}" class="btn btn-secondary mt-3">M'inscrire</a>
				</form>

			</div>
		</div>
	</section>

{% endblock %}
